Description

RHEL9 installed from Foreman are thus creating duplicated and confusing files

tl;dr: It seems Anaconda creates the keyfiles/snippets used by RHEL9 and at the same time Kickstart from Satellite is

creating ifcfg files duplicating the configuration!

Example of a Physical Machine with bond:

~

~

[root@ ~]# ls ll /etc/NetworkManager/system-connections

total 12

-rw------. 1 root root 425 Oct 10 12:18 bond0.nmconnection

rw------. 1 root root 282 Oct 10 12:18 ens3f0.nmconnection

rw------. 1 root root 282 Oct 10 12:18 ens3f1.nmconnection

[root@ ~]# ls ll /etc/sysconfig/network-scripts/

total 12

-rw-r--r-. 1 root root 309 Oct 10 12:19 ifcfg-bond0

rw-r--r-. 1 root root 129 Oct 10 12:19 ifcfg-ens3f0

rw-r--r-. 1 root root 129 Oct 10 12:19 ifcfg-ens3f1

~~

Example simple Virtual Machine (Vmware):

~

~

[root@ ~]# ls ll /etc/NetworkManager/system-connections

total 4

-rw------. 1 root root 417 Oct 10 12:54 ens192.nmconnection

[root@ ~]# ls ll /etc/sysconfig/network-scripts/

total 4

-rw-r--r-. 1 root root 252 Oct 10 12:55 ifcfg-ens192

~~

This makes managing systems very confusing as keyfiles by default will be prioritized.

Foreman should support keyfiles when installing RHEL9 or only use ifcfg files (if supported by anaconda)

Associated revisions

Revision ca34010f - 04/19/2024 06:59 AM - Shimon Shtein

Fixes #37367 - Switch to 'network' directive instead of ifcfg

History

#1 - 04/18/2024 12:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/9961 added
#2 - 04/19/2024 07:00 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 04/19/2024 07:00 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ca34010f2d34205493489a14f42d1e2334cc8077.
